<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Lesson 1</title>
</head>

<body>
    <p>Создайте 3 переменных ( x = 6, y = 14, z =4 ) Выполните и отобразите результат следующих операций для этих переменных:
        <br>x += y - x++ * z ;
        <br> z = --x - y * 5 ;
        <br> y /= x + 5 % z;
        <br> z - x++ + y * 5;
        <br> x = y - x++ * z;
    </p>
    <script>
        var x = 6;
        var y = 14;
        var z = 4;
        x += y - x++ * z
        var result = x;
        document.write("x += y - x++ * z = " + result + "<hr>");

        /* x = -4, 
        х = 6 + 14 - 6 * 4 = - 4*/

        var x = 6;
        var y = 14;
        var z = 4;
        z = --x - y * 5
        var result = z;
        document.write("z = --x - y * 5 = " + result + "<hr>");
        /*z = - 65,
         z = 5 - 14 * 5= -65 */

        var x = 6;
        var y = 14;
        var z = 4;
        y /= x + 5 % z;
        var result = y;
        document.write("y /= x + 5 % z = " + result + "<hr>");
        /*y = 14 / 6 + 1, 
        у = 2, 
        но вопрос почему 6+1 в скобках, если по идеи сначала деление потом сложение, то выйдет совсем другое число???*/

        var x = 6;
        var y = 14;
        var z = 4;
        z - x++ + y * 5;
        var result = z - x++ + y * 5;
        document.write("z - x++ + y * 5 = " + result + "<hr>");
        /* 4 - 7 + 14 * 5 = 67*/

        var x = 6;
        var y = 14;
        var z = 4;
        x = y - x++ * z;
        var result = x;
        document.write("x = y - x++ * z = " + result + "<hr>");
        /* х = -10
        х = 14 - 76 * 4 */
    </script>
</body>

</html>